Leave an X community with a connected account and stop receiving community notifications
cURL
curl --request DELETE \ --url https://api.example.com/x/communities/{id}/join \ --header 'Content-Type: <content-type>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "account": "<string>" } '
curl -X DELETE https://xquik.com/api/v1/x/communities/1893726451023847424/join \ -H "x-api-key: xq_YOUR_KEY_HERE" \ -H "Content-Type: application/json" \ -d '{ "account": "myxhandle" }' | jq
application/json
true
{ "communityId": "1893726451023847424", "communityName": "Crypto Traders Hub", "success": true }
{ "error": "invalid_input", "message": "Missing account field" }
account
{ "error": "unauthenticated", "message": "Missing or invalid API key" }
{ "error": "no_subscription", "message": "No active subscription" }
{ "error": "usage_limit_reached", "message": "Monthly usage quota exceeded" }
{ "error": "not_found", "message": "Community not found or not a member" }
Was this page helpful?